#!/bin/sh

apppath=$(dirname "$0")

file=@ARGV
for file; do
  location=$(dirname "$file")
  name=$(basename "$file" .tex)
  case $file in
    *.tex)
      echo "Processing:"
      echo "${name}.tex"
      echo ""
      cd "${apppath}"
	  output="${location}/${name}-ChechTeX.txt" 
      #echo `./chktex < "${file}"` > "${output}"
      result=`cat "${file}" | ./chktex`
      if [ "$result" == "" ]; then
          echo "No mismatches found."
      else
          echo "Mismatches found:"
          echo ""
          echo "$result"
      fi
      echo ""
      echo "--------------------------------------"
      echo ""
      ;;
    *)
      echo "Unknown file extension: ${file}"
      ;;
  esac
done
